org.apache.pdfbox.pdmodel

## Class PDStructureElementNameTreeNode

- java.lang.Object
- - org.apache.pdfbox.pdmodel.common.PDNameTreeNode<PDStructureElement>
  - - org.apache.pdfbox.pdmodel.PDStructureElementNameTreeNode

All Implemented Interfaces:
  COSObjectable

    public class PDStructureElementNameTreeNode
    extends PDNameTreeNode<PDStructureElement>

todo: JavaDoc

Author:
  John Hewson

### Constructor Summary

Constructors
Constructor and Description
`PDStructureElementNameTreeNode()` Constructor.
`PDStructureElementNameTreeNode(COSDictionary dic)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected PDStructureElement` `convertCOSToPD(COSBase base)` Method to convert the COS value in the name tree to the PD Model object.
`protected PDNameTreeNode<PDStructureElement>` `createChildNode(COSDictionary dic)` Create a child node object.

### Methods inherited from class org.apache.pdfbox.pdmodel.common.PDNameTreeNode

`getCOSObject, getKids, getLowerLimit, getNames, getParent, getUpperLimit, getValue, isRootNode, setKids, setNames, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDStructureElementNameTreeNode

    public PDStructureElementNameTreeNode()

Constructor.

#### PDStructureElementNameTreeNode

    public PDStructureElementNameTreeNode(COSDictionary dic)

Constructor.

Parameters:
  `dic` - The COS dictionary.

### Method Detail

#### convertCOSToPD

    protected PDStructureElement convertCOSToPD(COSBase base)
                                         throws IOException

Description copied from class: `PDNameTreeNode`
Method to convert the COS value in the name tree to the PD Model object. The default implementation will simply return the given COSBase object. Subclasses should do something specific.

Specified by:
  `convertCOSToPD` in class `PDNameTreeNode<PDStructureElement>`
Parameters:
  `base` - The COS object to convert.
Returns:
  The converted PD Model object.
Throws:
  `IOException` - If there is an error during creation.

#### createChildNode

    protected PDNameTreeNode<PDStructureElement> createChildNode(COSDictionary dic)

Description copied from class: `PDNameTreeNode`
Create a child node object.

Specified by:
  `createChildNode` in class `PDNameTreeNode<PDStructureElement>`
Parameters:
  `dic` - The dictionary for the child node object to refer to.
Returns:
  The new child node object.